> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evaluation

> Get detailed information about a specific evaluation.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/evaluations/{evaluation_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/evaluations/{evaluation_id}:
    get:
      tags:
        - evals
      summary: Get Evaluation
      description: Get detailed information about a specific evaluation.
      operationId: get_evaluation_api_v1_evaluations__evaluation_id__get
      parameters:
        - name: evaluation_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEvaluationResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GetEvaluationResponse:
      properties:
        evaluation_id:
          type: string
          title: Evaluation Id
        name:
          type: string
          title: Name
        status:
          $ref: '#/components/schemas/EvaluationStatus'
        eval_type:
          $ref: '#/components/schemas/EvaluationType'
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
          description: User ID of evaluation owner
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Id
          description: Team ID if evaluation is owned by a team
        environment_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Environment Ids
        environment_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Environment Names
        suite_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Suite Id
        run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Id
        version_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Id
        is_hosted:
          type: boolean
          title: Is Hosted
          default: false
        sandbox_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sandbox Id
        inference_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Inference Model
        eval_config:
          anyOf:
            - type: object
            - type: 'null'
          title: Eval Config
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        logs:
          anyOf:
            - type: string
            - type: 'null'
          title: Logs
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        dataset:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset
        framework:
          anyOf:
            - type: string
            - type: 'null'
          title: Framework
        task_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        tags:
          items:
            type: string
          type: array
          title: Tags
          default: []
        total_samples:
          type: integer
          title: Total Samples
        avg_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Score
        min_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Min Score
        max_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Score
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        metrics:
          anyOf:
            - type: object
            - type: 'null'
          title: Metrics
        viewer_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Viewer Url
        is_public:
          type: boolean
          title: Is Public
          description: Whether this evaluation is publicly shareable by link
          default: false
        show_on_leaderboard:
          type: boolean
          title: Show On Leaderboard
          description: Whether this public evaluation appears on environment leaderboards
          default: false
        statistics:
          anyOf:
            - type: object
            - type: 'null'
          title: Statistics
          description: Statistics format (totalResults, totalReward, avgReward)
        chartData:
          anyOf:
            - type: object
            - type: 'null'
          title: Chartdata
          description: Histogram and statistics for visualization
        rubricInfo:
          anyOf:
            - type: object
            - type: 'null'
          title: Rubricinfo
          description: Rubric with detected metrics and weights
        detailedMetrics:
          anyOf:
            - type: object
            - type: 'null'
          title: Detailedmetrics
          description: Detailed statistics for each detected metric
        rewardStats:
          anyOf:
            - type: object
            - type: 'null'
          title: Rewardstats
          description: Reward statistics for backward compatibility
      type: object
      required:
        - evaluation_id
        - name
        - status
        - eval_type
        - total_samples
        - created_at
        - updated_at
      title: GetEvaluationResponse
      description: Response for getting evaluation details
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    EvaluationStatus:
      type: string
      enum:
        - PENDING
        - RUNNING
        - PROCESSING
        - COMPLETED
        - FAILED
        - TIMEOUT
        - CANCELLED
      title: EvaluationStatus
      description: Evaluation status enum
    EvaluationType:
      type: string
      enum:
        - suite
        - training
        - environment
      title: EvaluationType
      description: Evaluation type enum
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````